QwtTradingChartData(3)

NAME
QwtTradingChartData -

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtArraySeriesData< QwtOHLCSample >.

  Public Member Functions
QwtTradingChartData (const QVector< QwtOHLCSample > &=QVector< QwtOHLCSample >())
virtual QRectF boundingRect () const
Calculate the bounding rectangle.

  Additional Inherited Members

Detailed Description

Interface for iterating over an array of OHLC samples

Constructor & Destructor Documentation

  QwtTradingChartData::QwtTradingChartData (const QVector< QwtOHLCSample > & samples = QVector<QwtOHLCSample>())
Constructor

Parameters:
    samples Samples

Member Function Documentation

  QRectF QwtTradingChartData::boundingRect () const [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
    Bounding rectangle

Implements QwtSeriesData< QwtOHLCSample >.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.